Package org.eclipse.emf.cdo.util

## Class CDOCrossReferenceAdapter.CDOInverseCrossReferencer

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<org.eclipse.emf.ecore.EObject,​java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>>
    - - org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
      - - org.eclipse.emf.cdo.util.CDOCrossReferenceAdapter.CDOInverseCrossReferencer

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<org.eclipse.emf.ecore.EObject,​java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>>`
  Enclosing class:
    CDOCrossReferenceAdapter

      protected class CDOCrossReferenceAdapter.CDOInverseCrossReferencer
      extends org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

  An `InverseCrossReferencer` with an `addProxy(EObject, EObject)` method that is visible to `CDOCrossReferenceAdapter`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

      `emfObjects`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CDOInverseCrossReferencer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addProxy​(org.eclipse.emf.ecore.EObject proxy, org.eclipse.emf.ecore.EObject context)` |

    - ### Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

      `containment, crossReference, done, find, getCollection, handleCrossReference, newContentsIterator, print, print, toString`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CDOInverseCrossReferencer

          protected CDOInverseCrossReferencer()

  - ### Method Detail

    - #### addProxy

          protected void addProxy​(org.eclipse.emf.ecore.EObject proxy,
                                  org.eclipse.emf.ecore.EObject context)